%global bundle org.apache.oltu.commons.parent
Name:          oltu-commons
Version:       1
Release:       1%{?dist}
Summary:       Shared utilities across multiple Apache Oltu modules
License:       ASL 2.0
URL:           https://oltu.apache.org/
Source0:       http://www.apache.org/dist/oltu/org.apache.oltu.commons/%{bundle}-%{version}-source-release.zip
Patch0:        oltu-commons-1-use-android-json-org-java.patch

BuildRequires: maven-local
BuildRequires: mvn(commons-codec:commons-codec)
%if %{?fedora} > 20
BuildRequires: mvn(org.apache.oltu:org.apache.oltu.parent:pom:)
%else
BuildRequires: mvn(org.apache.oltu:org.apache.oltu.parent)
%endif
# android-json-org-java
BuildRequires: mvn(org.json:json)

BuildArch:     noarch

%description
Shared utilities across multiple Apache Oltu modules.

This package provides Apache Oltu - Commons - Parent POM.

%package encodedtoken
Summary:       Apache Oltu - Commons - Encoded Token

%description encodedtoken
Apache Oltu Encoded Token shared utility.

%package json
Summary:       Apache Oltu - Commons - JSON

%description json
Apache Oltu JSON shared utility.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{bundle}
%if %{?fedora} < 21
%dir %{_javadir}/%{name}
%endif
%license LICENSE NOTICE

%files encodedtoken -f .mfiles-org.apache.oltu.commons.encodedtoken
%license LICENSE NOTICE

%files json -f .mfiles-org.apache.oltu.commons.json
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Mar 17 2015 gil cattaneo <puntogil@libero.it> 1-1
- initial rpm
